3v4l.org

run code in 150+ php & hhvm versions
Bugs & Features
<?php set_error_handler(function($errno, $errstr){ throw new Exception($errstr);}); class DateTimeCustom extends DateTime { public function __construct($datetime, $timezone = null) { try { parent::__construct($datetime, $timezone); } catch (Exception $e) { var_dump($this, parent::getLastErrors(), parent::format('c')); } } } $date = new DateTimeCustom("sunday 09 blabla 2001 103:46:40 CEST");
Output for 7.0.0 - 7.1.0
Fatal error: Uncaught Exception: DateTime::format(): The DateTime object has not been correctly initialized by its constructor in /in/KjPEl:3 Stack trace: #0 [internal function]: {closure}(2, 'DateTime::forma...', '/in/KjPEl', 15, Array) #1 /in/KjPEl(15): DateTime->format('c') #2 /in/KjPEl(21): DateTimeCustom->__construct('sunday 09 blabl...') #3 {main} thrown in /in/KjPEl on line 3
Process exited with code 255.
Output for hhvm-3.10.0 - 3.12.0
object(DateTimeCustom)#2 (3) { ["date"]=> string(26) "2014-05-14 10:42:01.000000" ["timezone_type"]=> int(3) ["timezone"]=> string(16) "Europe/Amsterdam" } array(4) { ["warning_count"]=> int(1) ["warnings"]=> array(1) { [32]=> string(29) "Double timezone specification" } ["error_count"]=> int(5) ["errors"]=> array(5) { [7]=> string(20) "Unexpected character" [8]=> string(20) "Unexpected character" [10]=> string(47) "The timezone could not be found in the database" [22]=> string(20) "Unexpected character" [23]=> string(25) "Double time specification" } } string(25) "2014-05-14T10:42:01+02:00"
Output for 5.3.0 - 5.3.5, 5.4.30 - 5.4.45, 5.5.14 - 5.6.28
Fatal error: Uncaught exception 'Exception' with message 'DateTime::format(): The DateTime object has not been correctly initialized by its constructor' in /in/KjPEl:3 Stack trace: #0 [internal function]: {closure}(2, 'DateTime::forma...', '/in/KjPEl', 15, Array) #1 /in/KjPEl(15): DateTime->format('c') #2 /in/KjPEl(21): DateTimeCustom->__construct('sunday 09 blabl...') #3 {main} thrown in /in/KjPEl on line 3
Process exited with code 255.
Output for 5.3.6 - 5.4.29, 5.5.0 - 5.5.13

Process exited with code 139.
Output for 4.4.2 - 4.4.9, 5.1.0 - 5.2.17
Parse error: syntax error, unexpected T_FUNCTION, expecting ')' in /in/KjPEl on line 3
Process exited with code 255.
Output for 4.3.0 - 4.3.1, 4.3.5 - 4.4.1, 5.0.0 - 5.0.5
Parse error: parse error, unexpected T_FUNCTION, expecting ')' in /in/KjPEl on line 3
Process exited with code 255.
Output for 4.3.2 - 4.3.4
Parse error: parse error, expecting `')'' in /in/KjPEl on line 3
Process exited with code 255.